{
    "easycom": {
        "autoscan": true,
        "custom": {
            "^u--(.*)": "uview-plus/components/u-$1/u-$1.vue",
            "^up-(.*)": "uview-plus/components/u-$1/u-$1.vue",
            "^u-([^-].*)": "uview-plus/components/u-$1/u-$1.vue",
            "^ut-(.*)": "@/src/components/ut-$1/ut-$1.vue",
            "^(?!z-paging-refresh|z-paging-load-more)z-paging(.*)": "z-paging/components/z-paging$1/z-paging$1.vue"
        }
    },
    "pages": [
        //开发完成后需要删除的页面
        {
            "path": "pages/plant/base/index",
            "style": {
                "navigationBarTitleText": "种植端基地"
            }
        },
        // 种植端仓储与放行
        {
            "path": "pages/plant/storage/index",
            "style": {
                "navigationBarTitleText": "种植端仓储与放行"
            }
        },
        // 种植端加工与包装
        {
            "path": "pages/plant/processing/index",
            "style": {
                "navigationBarTitleText": "种植端加工与包装"
            }
        },
        // 种植端更多
        {
            "path": "pages/plant/more/index",
            "style": {
                "navigationBarTitleText": "种植端更多"
            }
        },
        // pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
        {
            "path": "pages/index/index",
            "style": {
                "navigationBarTitleText": "首页"
            }
        },
        {
            "path": "pages/login/login",
            "style": {
                "navigationBarTitleText": "用户登录"
            }
        },
        {
            "path": "pages/plant/port/index",
            "style": {
                "navigationBarTitleText": "种植端种养殖"
            }
        },
        //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
        {
            "path": "pages/production/index",
            "style": {
                "navigationBarTitleText": "生产端"
            }
        }
    ],
    "subPackages": [
        {
            // 基地分包
            "root": "plant/base",
            "pages": [
                {
                    "path": "base-list/index",
                    "style": {
                        "navigationBarTitleText": "基地列表"
                    }
                },
                {
                    "path": "base-detail/index",
                    "style": {
                        "navigationBarTitleText": "基地详情"
                    }
                },
                {
                    "path": "base-edit/index",
                    "style": {
                        "navigationBarTitleText": "编辑基地"
                    }
                },
                {
                    "path": "base-map/index",
                    "style": {
                        "navigationBarTitleText": "基地地图"
                    }
                },
                // GAP基地信息
                {
                    "path": "gap-base-info/index",
                    "style": {
                        "navigationBarTitleText": "GAP基地信息"
                    }
                },
                // 添加Gap基地信息添加
                {
                    "path": "gap-base-info-edit/index",
                    "style": {
                        "navigationBarTitleText": "添加GAP基地信息"
                    }
                },
                // GAP基地详情
                {
                    "path": "gap-base-info-detail/index",
                    "style": {
                        "navigationBarTitleText": "GAP基地详情"
                    }
                },
                // 标记三无一全基地
                {
                    "path": "mark-base/index",
                    "style": {
                        "navigationBarTitleText": "标记基地"
                    }
                },
                // 标记三无一全基地详情
                {
                    "path": "mark-base-detail/index",
                    "style": {
                        "navigationBarTitleText": "标记基地详情"
                    }
                }
            ]
        },
        // 主营物种
        {
            "root": "plant/species",
            "pages": [
                {
                    "path": "config/index",
                    "style": {
                        "navigationBarTitleText": "配置主营物种"
                    }
                }
            ]
        },
        // 种养殖
        {
            "root": "plant/port",
            "pages": [
                {
                    "path": "port-create/index",
                    "style": {
                        "navigationBarTitleText": "创建种养殖任务"
                    }
                },
                {
                    "path": "port-detail/index",
                    "style": {
                        "navigationBarTitleText": "种养殖任务列表"
                    }
                },
                {
                    "path": "port-supervise/index",
                    "style": {
                        "navigationBarTitleText": "管理列表"
                    }
                },
                {
                    "path": "supervise/supervise-plant-create/index",
                    "style": {
                        "navigationBarTitleText": "添加种植管理记录"
                    }
                },
                {
                    "path": "supervise/supervise-breeding-create/index",
                    "style": {
                        "navigationBarTitleText": "添加繁育管理记录"
                    }
                },
                {
                    "path": "supervise/supervise-plant-detail/index",
                    "style": {
                        "navigationBarTitleText": "种植管理记录详情"
                    }
                },
                {
                    "path": "supervise/supervise-raising-create/index",
                    "style": {
                        "navigationBarTitleText": "添加饲养管理记录"
                    }
                },
                {
                    "path": "supervise/supervise-material-create/index",
                    "style": {
                        "navigationBarTitleText": "投入物料记录"
                    }
                },
                {
                    "path": "supervise/supervise-material-detail/index",
                    "style": {
                        "navigationBarTitleText": "投入物料记录详情"
                    }
                },
                {
                    "path": "port-listinfo/index",
                    "style": {
                        "navigationBarTitleText": "种源信息列表"
                    }
                },
                {
                    "path": "port-harvest/index",
                    "style": {
                        "navigationBarTitleText": "采收管理列表"
                    }
                },
                {
                    "path": "port-harvest-create/index",
                    "style": {
                        "navigationBarTitleText": "新增采收入库"
                    }
                },
                {
                    "path": "port-harvest-detail/index",
                    "style": {
                        "navigationBarTitleText": "采收管理详情"
                    }
                }
            ]
        },
        // 库存
        {
            "root": "plant/storage",
            "pages": [
                // 库房管理
                {
                    "path": "storage-room/list/index",
                    "style": {
                        "navigationBarTitleText": "库房管理"
                    }
                },
                // 新增库房
                {
                    "path": "storage-room/edit/index",
                    "style": {
                        "navigationBarTitleText": "新增库房"
                    }
                },
                // 库房详情
                {
                    "path": "storage-room/detail/index",
                    "style": {
                        "navigationBarTitleText": "库房详情"
                    }
                },

                // 种源库
                {
                    "path": "seed-source/list/index",
                    "style": {
                        "navigationBarTitleText": "种源库"
                    }
                },
                // 种源库详情
                {
                    "path": "seed-source/detail/index",
                    "style": {
                        "navigationBarTitleText": "种源详情"
                    }
                },
                // 新增种源入库
                {
                    "path": "seed-source/add/index",
                    "style": {
                        "navigationBarTitleText": "新增种源入库"
                    }
                },
                // 添加种源信息
                {
                    "path": "seed-source/info-edit/index",
                    "style": {
                        "navigationBarTitleText": "添加种源信息"
                    }
                },
                // 修改种源信息，单条
                {
                    "path": "seed-source/info-update/index",
                    "style": {
                        "navigationBarTitleText": "修改种源信息"
                    }
                },
                // 农资库
                {
                    "path": "agro-product/list/index",
                    "style": {
                        "navigationBarTitleText": "农资库"
                    }
                },
                // 新增农资入库
                {
                    "path": "agro-product/add/index",
                    "style": {
                        "navigationBarTitleText": "新增农资入库"
                    }
                },
                // 添加农资信息
                {
                    "path": "agro-product/info-edit/index",
                    "style": {
                        "navigationBarTitleText": "添加农资信息"
                    }
                },
                // 农资详情
                {
                    "path": "agro-product/detail/index",
                    "style": {
                        "navigationBarTitleText": "农资详情"
                    }
                },
                // 修改农资信息，单条
                {
                    "path": "agro-product/info-update/index",
                    "style": {
                        "navigationBarTitleText": "修改农资信息"
                    }
                },
                // 出入库清单
                {
                    "path": "stock-list/index",
                    "style": {
                        "navigationBarTitleText": "农资出入库清单"
                    }
                },
                // 库存耗损登记
                {
                    "path": "loss-register/index",
                    "style": {
                        "navigationBarTitleText": "农资库存损耗登记"
                    }
                },
                // 鲜货库
                {
                    "path": "fresh-goods/list/index",
                    "style": {
                        "navigationBarTitleText": "鲜货库"
                    }
                },
                // 鲜货详情
                {
                    "path": "fresh-goods/detail/index",
                    "style": {
                        "navigationBarTitleText": "鲜货详情"
                    }
                },
                // 新增鲜货入库
                {
                    "path": "fresh-goods/add/index",
                    "style": {
                        "navigationBarTitleText": "新增鲜货入库"
                    }
                },
                // 新增鲜货入库信息
                {
                    "path": "fresh-goods/info-edit/index",
                    "style": {
                        "navigationBarTitleText": "新增鲜货入库信息"
                    }
                },
                // 修改鲜货信息，单条
                {
                    "path": "fresh-goods/info-update/index",
                    "style": {
                        "navigationBarTitleText": "修改鲜货信息"
                    }
                },
                // 药材库
                {
                    "path": "medicine/list/index",
                    "style": {
                        "navigationBarTitleText": "药材库"
                    }
                }
            ]
        },
        //加工
        {
            "root": "plant/processing",
            "pages": [
                {
                    "path": "processing-create/index",
                    "style": {
                        "navigationBarTitleText": "创建加工任务"
                    }
                },
                //加工任务详情列表
                {
                    "path": "processing-detail-list/index",
                    "style": {
                        "navigationBarTitleText": "加工任务详情"
                    }
                }
            ]
        },
        // 包装
        {
            "root": "plant/packaging",
            "pages": [
                // 包装任务列表
                {
                    "path": "list/index",
                    "style": {
                        "navigationBarTitleText": "包装任务列表"
                    }
                },
                {
                    "path": "create/index",
                    "style": {
                        "navigationBarTitleText": "创建包装任务"
                    }
                },
                // 包装任务详情
                {
                    "path": "detail/index",
                    "style": {
                        "navigationBarTitleText": "包装任务详情"
                    }
                },
                // 打印追溯码
                {
                    "path": "print/index",
                    "style": {
                        "navigationBarTitleText": "打印追溯码"
                    }
                },
                // 选择任务包装的对象
                {
                    "path": "select-object/index",
                    "style": {
                        "navigationBarTitleText": "选择包装对象"
                    }
                }
            ]
        },
        // 往来单位管理
        {
            "root": "plant/contact-unit",
            "pages": [
                {
                    "path": "unit-list/index",
                    "style": {
                        "navigationBarTitleText": "往来单位管理"
                    }
                },
                {
                    "path": "unit-edit/index",
                    "style": {
                        "navigationBarTitleText": "新增往来单位信息"
                    }
                },
                {
                    "path": "unit-detail/index",
                    "style": {
                        "navigationBarTitleText": "往来单位详情"
                    }
                }
            ]
        },
        {
            "root": "tools",
            "pages": [
                {
                    "path": "map-draw-area/index",
                    "style": {
                        "navigationBarTitleText": "地图绘制面积图",
                        "disableScroll": true,
                        "enablePullDownRefresh": false,
                        "navigationStyle": "default"
                    }
                },
                {
                    "path": "map-gd/index",
                    "style": {
                        "navigationBarTitleText": "地图绘制面积图",
                        "disableScroll": true,
                        "enablePullDownRefresh": false,
                        "navigationStyle": "default"
                    }
                },
                // 选择企业人员
                {
                    "path": "select-cpy-member/index",
                    "style": {
                        "navigationBarTitleText": "选择企业成员"
                    }
                },
                // 选择获评品种
                {
                    "path": "select-medicine/index",
                    "style": {
                        "navigationBarTitleText": "选择获评品种"
                    }
                },
                // 选择GAP获评信息
                {
                    "path": "select-gap-info/index",
                    "style": {
                        "navigationBarTitleText": "选择GAP获评信息"
                    }
                },
                {
                    "path": "por-torganism/index",
                    "style": {
                        "navigationBarTitleText": "选择动植物类型"
                    }
                },
                // 选择操作地块
                {
                    "path": "supervise-plot/index",
                    "style": {
                        "navigationBarTitleText": "选择操作地块"
                    }
                },
                // 选择操作个体
                {
                    "path": "supervise-individual/index",
                    "style": {
                        "navigationBarTitleText": "选择操作个体"
                    }
                },
                // 选择农资
                {
                    "path": "supervise-material/index",
                    "style": {
                        "navigationBarTitleText": "选择农资"
                    }
                },
                // 选择操作时间
                {
                    "path": "species-info/index",
                    "style": {
                        "navigationBarTitleText": "选择种源信息"
                    }
                },
                {
                    "path": "pro-process-steps/index",
                    "style": {
                        "navigationBarTitleText": "选择加工工艺信息"
                    }
                },
                //选择加工原料
                {
                    "path": "species-info-process/index",
                    "style": {
                        "navigationBarTitleText": "选择加工原料"
                    }
                }
            ]
        },
        // 审核端分包
        {
            "root": "audit/plant",
            "pages": [
                {
                    "path": "base/audit-list/index",
                    "style": {
                        "navigationBarTitleText": "基地审核列表"
                    }
                },
                {
                    "path": "base/audit-detail/index",
                    "style": {
                        "navigationBarTitleText": "基地审核详情"
                    }
                }
            ]
        }
    ],
    "tabBar": {
        "custom": true,
        "list": [
            {
                "pagePath": "pages/plant/base/index"
            },
            {
                "pagePath": "pages/plant/port/index"
            },
            {
                "pagePath": "pages/plant/storage/index"
            },
            {
                "pagePath": "pages/plant/processing/index"
            },
            {
                "pagePath": "pages/plant/more/index"
            }
        ]
    },
    "globalStyle": {
        "navigationStyle": "custom",
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "中药材种植全链条追溯系统",
        "navigationBarBackgroundColor": "#F8F8F8",
        "backgroundColor": "#F8F8F8",
        "rpxCalcMaxDeviceWidth": 1920,
        "rpxCalcBaseDeviceWidth": 375,
        "rpxCalcIncludeWidth": 750
    }
}
